mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Cryptography.ICryptoTransform System.Runtime.InteropServices.ComVisible(true) This class isn't used by Mono as all it's algorithms are provided with 100% managed implementations.

Performs a cryptographic transformation of data. This class cannot be inherited.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current transform can be reused.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether multiple blocks can be transformed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is a simple call to .

  Calling Dispose allows the resources used by the to be reallocated for other purposes. For more information about Dispose, see [<topic://cpconCleaningUpUnmanagedResources>].

  Releases all resources used by the method.

- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  System.Void To be added. To be added. 1.0.5000.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the input block size.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr To be added: an object of type 'IntPtr' To be added

  Gets the key handle.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the output block size.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void

  The method is called automatically when you call TransformFinalBlock. The Reset method is not called when, for example, the encrypted input data is garbage and cannot be decrypted. In this case, an exception is thrown and Reset is not called. You can choose to manually call the Reset method in this case.

  Resets the internal state of so that it can be used again to do a different encryption or decryption.

- Method
  System.Void To be added.

  Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added

  Computes the transformation for the specified region of the input byte array and copies the resulting transformation to the specified region of the output byte array.

  The number of bytes written.

  The input on which to perform the operation on. The offset into the input byte array from which to begin using data from. The number of bytes in the input byte array to use as data. The output to which to write the data to. The offset into the output byte array from which to begin writing data from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` `` `` To be added

  Computes the transformation for the specified region of the specified byte array.

  The computed transformation.

  The input on which to perform the operation on. The offset into the byte array from which to begin using data from. The number of bytes in the byte array to use as data.